Replace a component tag
Authorization
BearerAuth AuthorizationBearer <token>
API authentication via Authorization: Bearer <your-api-key>. Obtain
your API key from Config → API in the Aplas web app.
In: header
Path Parameters
indexId*string
The id of the containing index
tagId*string
Use syntax 'tagGroupId:tagId' to specify group, or just 'tagId' for default group.
Request Body
application/json
The component tag to replace
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PUT "https://api.au.aplas.com/api/v2/index/id/componentTag/id" \ -H "Content-Type: application/json" \ -d '{ "id": "id", "name": "Com Tag A", "description": "More information", "color": "#FFFFFF", "status": "Standard", "customFieldA": "Custom Field Value", "customFieldB": [ "alias1", "alias2" ] }'Empty
{
"code": 500,
"message": "Internal server error"
}